package com.wisedu.mooc.app.log.bo;

import javax.persistence.*;
import java.util.Date;

/**
 * LogStudyPos entity. @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "log_user_visit_pos")
public class LogUserVisitPos implements java.io.Serializable {

    // Fields

    private String posId;
    private String logId;
    private Date visitDate;
    private Long visitTime;
    private Integer visitDuration;
    private String refererUrl;
    private String visitUrl;

    @Transient
    private String useTime;

    // Constructors

    /**
     * default constructor
     */
    public LogUserVisitPos() {
    }

    /**
     * minimal constructor
     */
    public LogUserVisitPos(String posId) {
        this.posId = posId;
    }

    /**
     * full constructor
     */
    public LogUserVisitPos(String posId, String logId, Date visitDate,
                           Long visitTime, Integer visitDuration, String refererUrl,
                           String visitUrl) {
        this.posId = posId;
        this.logId = logId;
        this.visitDate = visitDate;
        this.visitTime = visitTime;
        this.visitDuration = visitDuration;
        this.refererUrl = refererUrl;
        this.visitUrl = visitUrl;
    }

    // Property accessors
    @Id
    @Column(name = "pos_id", unique = true, nullable = false, length = 64)
    public String getPosId() {
        return this.posId;
    }

    public void setPosId(String posId) {
        this.posId = posId;
    }

    @Column(name = "log_id", length = 64)
    public String getLogId() {
        return this.logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    @Column(name = "visit_date", length = 19)
    public Date getVisitDate() {
        return this.visitDate;
    }

    public void setVisitDate(Date visitDate) {
        this.visitDate = visitDate;
    }

    @Column(name = "visit_time")
    public Long getVisitTime() {
        return this.visitTime;
    }

    public void setVisitTime(Long visitTime) {
        this.visitTime = visitTime;
    }

    @Column(name = "visit_duration")
    public Integer getVisitDuration() {
        return this.visitDuration;
    }

    public void setVisitDuration(Integer visitDuration) {
        this.visitDuration = visitDuration;
    }

    @Column(name = "referer_url")
    public String getRefererUrl() {
        return refererUrl;
    }

    public void setRefererUrl(String refererUrl) {
        this.refererUrl = refererUrl;
    }

    @Column(name = "visit_url")
    public String getVisitUrl() {
        return visitUrl;
    }

    public void setVisitUrl(String visitUrl) {
        this.visitUrl = visitUrl;
    }

    @Transient
    public String getUseTime() {
        return useTime;
    }

    @Transient
    public void setUseTime(String useTime) {
        this.useTime = useTime;
    }
}